KateReplacePrompt Class Reference

`#include <katesearch.h>`

Inheritance diagram for KateReplacePrompt:

## Signals

void | clicked ()

## Public Member Functions

| KateReplacePrompt (QWidget *parent)

## Protected Slots

void | slotOk ()
void | slotClose ()
void | slotUser1 ()
void | slotUser2 ()
void | slotUser3 ()
void | done (int result)

## Additional Inherited Members

Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

simple replace prompt dialog

Definition at line 168 of file katesearch.h.

## Constructor & Destructor Documentation

KateReplacePrompt::KateReplacePrompt | ( | QWidget * | parent | ) |

Constructor.

Parameters

  parent | parent widget for the dialog

Definition at line 752 of file katesearch.cpp.

## Member Function Documentation

void KateReplacePrompt::clicked | ( |  | ) |

signal

button clicked

void KateReplacePrompt::done | ( | int | result | ) |

protected slot

dialog done

Parameters

  result | dialog result

Definition at line 796 of file katesearch.cpp.

void KateReplacePrompt::slotClose | ( |  | ) |

protected slot

close pressed

Definition at line 772 of file katesearch.cpp.

void KateReplacePrompt::slotOk | ( | void |  | ) |

protected slot

ok pressed

Definition at line 766 of file katesearch.cpp.

void KateReplacePrompt::slotUser1 | ( |  | ) |

protected slot

replace all pressed

Definition at line 778 of file katesearch.cpp.

void KateReplacePrompt::slotUser2 | ( |  | ) |

protected slot

last pressed

Definition at line 784 of file katesearch.cpp.

void KateReplacePrompt::slotUser3 | ( |  | ) |

protected slot

Yes pressed.

Definition at line 790 of file katesearch.cpp.

The documentation for this class was generated from the following files:

- katesearch.h
- katesearch.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys